<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for C:\xampp\htdocs\blog\app</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href=".css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href=".css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href=".css/style.css" rel="stylesheet" type="text/css">
  <link href=".css/custom.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src=".js/html5shiv.min.js"></script>
  <script src=".js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="index.html">C:\xampp\htdocs\blog\app</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Http/Controllers/AuthController.php.html#13">App\Http\Controllers\AuthController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Datatables/DatatableProcessRepository.php.html#13">App\Services\Datatables\DatatableProcessRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/StatusService.php.html#7">App\Services\StatusService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/ShiftService.php.html#7">App\Services\ShiftService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/ReadFiles/Validators/validateMessage.php.html#13">App\Services\ReadFiles\Validators\validateMessage</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/PatientService.php.html#11">App\Services\PatientService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/DoctorService.php.html#7">App\Services\DoctorService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#19">App\Services\Doctor\DatatableService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Datatables/DatatableRequestRepository.php.html#13">App\Services\Datatables\DatatableRequestRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#13">App\Services\AppointmentService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#19">App\Http\Controllers\DoctorController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/StatusRepository.php.html#7">App\Repositories\Eloquent\StatusRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/ShiftRepository.php.html#7">App\Repositories\Eloquent\ShiftRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/PatientRepository.php.html#7">App\Repositories\Eloquent\PatientRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/DoctorRepository.php.html#7">App\Repositories\Eloquent\DoctorRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#9">App\Repositories\Eloquent\BaseRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#10">App\Repositories\Eloquent\AvailableAppointmentRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AppointmentRepository.php.html#11">App\Repositories\Eloquent\AppointmentRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#10">App\Http\Controllers\PatientController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Validators/ValidatorService.php.html#13">App\Services\Validators\ValidatorService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/User/UserRegisterService.php.html#16">App\Services\User\UserRegisterService</a></td><td class="text-right">80%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Services/AppointmentService.php.html#13">App\Services\AppointmentService</a></td><td class="text-right">992</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#10">App\Repositories\Eloquent\AvailableAppointmentRepository</a></td><td class="text-right">420</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#19">App\Http\Controllers\DoctorController</a></td><td class="text-right">306</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#19">App\Services\Doctor\DatatableService</a></td><td class="text-right">110</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#13">App\Http\Controllers\AuthController</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Services/Datatables/DatatableProcessRepository.php.html#13">App\Services\Datatables\DatatableProcessRepository</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#10">App\Http\Controllers\PatientController</a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Services/Datatables/DatatableRequestRepository.php.html#13">App\Services\Datatables\DatatableRequestRepository</a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#9">App\Repositories\Eloquent\BaseRepository</a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Services/PatientService.php.html#11">App\Services\PatientService</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/ReadFiles/Validators/validateMessage.php.html#13">App\Services\ReadFiles\Validators\validateMessage</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/User/UserRegisterService.php.html#16">App\Services\User\UserRegisterService</a></td><td class="text-right">3</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Http/Controllers/AuthController.php.html#18"><abbr title="App\Http\Controllers\AuthController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#164"><abbr title="App\Services\AppointmentService::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/DoctorRepository.php.html#19"><abbr title="App\Repositories\Eloquent\DoctorRepository::getDoctor">getDoctor</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/DoctorRepository.php.html#24"><abbr title="App\Repositories\Eloquent\DoctorRepository::getListDoctorsID">getListDoctorsID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/PatientRepository.php.html#9"><abbr title="App\Repositories\Eloquent\PatientRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/ShiftRepository.php.html#9"><abbr title="App\Repositories\Eloquent\ShiftRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/ShiftRepository.php.html#14"><abbr title="App\Repositories\Eloquent\ShiftRepository::getListShifts">getListShifts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/ShiftRepository.php.html#19"><abbr title="App\Repositories\Eloquent\ShiftRepository::getShift">getShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/ShiftRepository.php.html#24"><abbr title="App\Repositories\Eloquent\ShiftRepository::getListShiftsID">getListShiftsID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/StatusRepository.php.html#9"><abbr title="App\Repositories\Eloquent\StatusRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#20"><abbr title="App\Services\AppointmentService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#33"><abbr title="App\Services\AppointmentService::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#49"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDoctorID">getAvailableAppointmentByDoctorID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#88"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDate">getAvailableAppointmentByDate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#127"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByShift">getAvailableAppointmentByShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Datatables/DatatableProcessRepository.php.html#17"><abbr title="App\Services\Datatables\DatatableProcessRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#26"><abbr title="App\Http\Controllers\AuthController::registerProcess">registerProcess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Datatables/DatatableProcessRepository.php.html#22"><abbr title="App\Services\Datatables\DatatableProcessRepository::fillAppointmentTable">fillAppointmentTable</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Datatables/DatatableRequestRepository.php.html#15"><abbr title="App\Services\Datatables\DatatableRequestRepository::getDefaultRequest">getDefaultRequest</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#25"><abbr title="App\Services\Doctor\DatatableService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#34"><abbr title="App\Services\Doctor\DatatableService::getAppointmentListAjax">getAppointmentListAjax</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#56"><abbr title="App\Services\Doctor\DatatableService::getNumberRecordOfAppointmentBySearch">getNumberRecordOfAppointmentBySearch</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#72"><abbr title="App\Services\Doctor\DatatableService::getAppointment">getAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/DoctorService.php.html#11"><abbr title="App\Services\DoctorService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/PatientService.php.html#18"><abbr title="App\Services\PatientService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/PatientService.php.html#31"><abbr title="App\Services\PatientService::getAppointments">getAppointments</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/ReadFiles/Validators/validateMessage.php.html#16"><abbr title="App\Services\ReadFiles\Validators\validateMessage::readValidateMessageFile">readValidateMessageFile</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/ShiftService.php.html#11"><abbr title="App\Services\ShiftService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/StatusService.php.html#11"><abbr title="App\Services\StatusService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Validators/ValidatorService.php.html#17"><abbr title="App\Services\Validators\ValidatorService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/DoctorRepository.php.html#14"><abbr title="App\Repositories\Eloquent\DoctorRepository::getListDoctorsAvailable">getListDoctorsAvailable</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/DoctorRepository.php.html#9"><abbr title="App\Repositories\Eloquent\DoctorRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#30"><abbr title="App\Repositories\Eloquent\BaseRepository::delete">delete</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#23"><abbr title="App\Repositories\Eloquent\BaseRepository::makeModel">makeModel</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#40"><abbr title="App\Http\Controllers\AuthController::loginProcess">loginProcess</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#62"><abbr title="App\Http\Controllers\AuthController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#28"><abbr title="App\Http\Controllers\DoctorController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#45"><abbr title="App\Http\Controllers\DoctorController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#68"><abbr title="App\Http\Controllers\DoctorController::getAppointment">getAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#73"><abbr title="App\Http\Controllers\DoctorController::appointmentDetailShow">appointmentDetailShow</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#88"><abbr title="App\Http\Controllers\DoctorController::appointmentSubmit">appointmentSubmit</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#98"><abbr title="App\Http\Controllers\DoctorController::getServicesAmount">getServicesAmount</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#113"><abbr title="App\Http\Controllers\DoctorController::paymentConfirm">paymentConfirm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#121"><abbr title="App\Http\Controllers\DoctorController::printInvoice">printInvoice</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#15"><abbr title="App\Http\Controllers\PatientController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#24"><abbr title="App\Http\Controllers\PatientController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#30"><abbr title="App\Http\Controllers\PatientController::getAppointments">getAppointments</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#36"><abbr title="App\Http\Controllers\PatientController::makeAppointment">makeAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#72"><abbr title="App\Http\Controllers\PatientController::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AppointmentRepository.php.html#13"><abbr title="App\Repositories\Eloquent\AppointmentRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AppointmentRepository.php.html#18"><abbr title="App\Repositories\Eloquent\AppointmentRepository::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AppointmentRepository.php.html#29"><abbr title="App\Repositories\Eloquent\AppointmentRepository::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#12"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::model">model</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#17"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByDoctorID">getAppointmentByDoctorID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#22"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByDate">getAppointmentByDate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#27"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getAppointmentByShift">getAppointmentByShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#32"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableDoctors">getListAvailableDoctors</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#37"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableDates">getListAvailableDates</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#42"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::getListAvailableShifts">getListAvailableShifts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#47"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::makeUnavailableAppointment">makeUnavailableAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#55"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::updateAvailableAppointment">updateAvailableAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#15"><abbr title="App\Repositories\Eloquent\BaseRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Validators/ValidatorService.php.html#22"><abbr title="App\Services\Validators\ValidatorService::registerValidate">registerValidate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/User/UserRegisterService.php.html#28"><abbr title="App\Services\User\UserRegisterService::register">register</abbr></a></td><td class="text-right">75%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Repositories/Eloquent/AvailableAppointmentRepository.php.html#55"><abbr title="App\Repositories\Eloquent\AvailableAppointmentRepository::updateAvailableAppointment">updateAvailableAppointment</abbr></a></td><td class="text-right">156</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#49"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDoctorID">getAvailableAppointmentByDoctorID</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#88"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDate">getAvailableAppointmentByDate</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#127"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByShift">getAvailableAppointmentByShift</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Services/Datatables/DatatableProcessRepository.php.html#22"><abbr title="App\Services\Datatables\DatatableProcessRepository::fillAppointmentTable">fillAppointmentTable</abbr></a></td><td class="text-right">72</td></tr>
       <tr><td><a href="Services/Datatables/DatatableRequestRepository.php.html#15"><abbr title="App\Services\Datatables\DatatableRequestRepository::getDefaultRequest">getDefaultRequest</abbr></a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#72"><abbr title="App\Services\Doctor\DatatableService::getAppointment">getAppointment</abbr></a></td><td class="text-right">42</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#40"><abbr title="App\Http\Controllers\AuthController::loginProcess">loginProcess</abbr></a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#45"><abbr title="App\Http\Controllers\DoctorController::index">index</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#98"><abbr title="App\Http\Controllers\DoctorController::getServicesAmount">getServicesAmount</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#73"><abbr title="App\Http\Controllers\DoctorController::appointmentDetailShow">appointmentDetailShow</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/ReadFiles/Validators/validateMessage.php.html#16"><abbr title="App\Services\ReadFiles\Validators\validateMessage::readValidateMessageFile">readValidateMessageFile</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Http/Controllers/PatientController.php.html#36"><abbr title="App\Http\Controllers\PatientController::makeAppointment">makeAppointment</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/PatientService.php.html#31"><abbr title="App\Services\PatientService::getAppointments">getAppointments</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Http/Controllers/AuthController.php.html#26"><abbr title="App\Http\Controllers\AuthController::registerProcess">registerProcess</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Services/Doctor/DatatableService.php.html#34"><abbr title="App\Services\Doctor\DatatableService::getAppointmentListAjax">getAppointmentListAjax</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Services/AppointmentService.php.html#33"><abbr title="App\Services\AppointmentService::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Repositories/Eloquent/BaseRepository.php.html#23"><abbr title="App\Repositories\Eloquent\BaseRepository::makeModel">makeModel</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Http/Controllers/DoctorController.php.html#121"><abbr title="App\Http\Controllers\DoctorController::printInvoice">printInvoice</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Services/User/UserRegisterService.php.html#28"><abbr title="App\Services\User\UserRegisterService::register">register</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.0.7</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.11</a> with <a href="https://xdebug.org/">Xdebug 2.6.1</a> and <a href="https://phpunit.de/">PHPUnit 7.3.2</a> at Thu Nov 22 6:37:42 UTC 2018.</small>
    </p>
   </footer>
  </div>
  <script src=".js/jquery.min.js" type="text/javascript"></script>
  <script src=".js/bootstrap.min.js" type="text/javascript"></script>
  <script src=".js/holder.min.js" type="text/javascript"></script>
  <script src=".js/d3.min.js" type="text/javascript"></script>
  <script src=".js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([20,0,0,0,0,0,0,0,0,1,0,9], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([63,0,0,0,0,0,0,0,1,0,0,42], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,9,"<a href=\"Http\/Controllers\/AuthController.php.html#13\">App\\Http\\Controllers\\AuthController<\/a>"],[0,17,"<a href=\"Http\/Controllers\/DoctorController.php.html#19\">App\\Http\\Controllers\\DoctorController<\/a>"],[0,7,"<a href=\"Http\/Controllers\/PatientController.php.html#10\">App\\Http\\Controllers\\PatientController<\/a>"],[100,5,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#15\">App\\Repositories\\Appointment\\AppointmentEloquentRepository<\/a>"],[100,6,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#15\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository<\/a>"],[100,5,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#15\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository<\/a>"],[0,3,"<a href=\"Repositories\/Eloquent\/AppointmentRepository.php.html#11\">App\\Repositories\\Eloquent\\AppointmentRepository<\/a>"],[0,20,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#10\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository<\/a>"],[0,5,"<a href=\"Repositories\/Eloquent\/BaseRepository.php.html#9\">App\\Repositories\\Eloquent\\BaseRepository<\/a>"],[0,4,"<a href=\"Repositories\/Eloquent\/DoctorRepository.php.html#7\">App\\Repositories\\Eloquent\\DoctorRepository<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/PatientRepository.php.html#7\">App\\Repositories\\Eloquent\\PatientRepository<\/a>"],[0,4,"<a href=\"Repositories\/Eloquent\/ShiftRepository.php.html#7\">App\\Repositories\\Eloquent\\ShiftRepository<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/StatusRepository.php.html#7\">App\\Repositories\\Eloquent\\StatusRepository<\/a>"],[100,13,"<a href=\"Repositories\/EloquentRepository.php.html#15\">App\\Repositories\\EloquentRepository<\/a>"],[100,4,"<a href=\"Repositories\/Invoices\/InvoiceEloquentRepository.php.html#15\">App\\Repositories\\Invoices\\InvoiceEloquentRepository<\/a>"],[100,4,"<a href=\"Repositories\/Services\/ServiceEloquentRepository.php.html#15\">App\\Repositories\\Services\\ServiceEloquentRepository<\/a>"],[100,4,"<a href=\"Repositories\/User\/UserEloquentRepository.php.html#15\">App\\Repositories\\User\\UserEloquentRepository<\/a>"],[0,31,"<a href=\"Services\/AppointmentService.php.html#13\">App\\Services\\AppointmentService<\/a>"],[100,0,"<a href=\"Services\/BaseService.php.html#5\">App\\Services\\BaseService<\/a>"],[0,9,"<a href=\"Services\/Datatables\/DatatableProcessRepository.php.html#13\">App\\Services\\Datatables\\DatatableProcessRepository<\/a>"],[0,7,"<a href=\"Services\/Datatables\/DatatableRequestRepository.php.html#13\">App\\Services\\Datatables\\DatatableRequestRepository<\/a>"],[100,10,"<a href=\"Services\/Doctor\/AppointmentService.php.html#19\">App\\Services\\Doctor\\AppointmentService<\/a>"],[0,10,"<a href=\"Services\/Doctor\/DatatableService.php.html#19\">App\\Services\\Doctor\\DatatableService<\/a>"],[0,1,"<a href=\"Services\/DoctorService.php.html#7\">App\\Services\\DoctorService<\/a>"],[0,3,"<a href=\"Services\/PatientService.php.html#11\">App\\Services\\PatientService<\/a>"],[0,3,"<a href=\"Services\/ReadFiles\/Validators\/validateMessage.php.html#13\">App\\Services\\ReadFiles\\Validators\\validateMessage<\/a>"],[0,1,"<a href=\"Services\/ShiftService.php.html#7\">App\\Services\\ShiftService<\/a>"],[0,1,"<a href=\"Services\/StatusService.php.html#7\">App\\Services\\StatusService<\/a>"],[80,3,"<a href=\"Services\/User\/UserRegisterService.php.html#16\">App\\Services\\User\\UserRegisterService<\/a>"],[0,2,"<a href=\"Services\/Validators\/ValidatorService.php.html#13\">App\\Services\\Validators\\ValidatorService<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Http\/Controllers\/AuthController.php.html#18\">App\\Http\\Controllers\\AuthController::__construct<\/a>"],[0,2,"<a href=\"Http\/Controllers\/AuthController.php.html#26\">App\\Http\\Controllers\\AuthController::registerProcess<\/a>"],[0,5,"<a href=\"Http\/Controllers\/AuthController.php.html#40\">App\\Http\\Controllers\\AuthController::loginProcess<\/a>"],[0,1,"<a href=\"Http\/Controllers\/AuthController.php.html#62\">App\\Http\\Controllers\\AuthController::logout<\/a>"],[0,1,"<a href=\"Http\/Controllers\/DoctorController.php.html#28\">App\\Http\\Controllers\\DoctorController::__construct<\/a>"],[0,4,"<a href=\"Http\/Controllers\/DoctorController.php.html#45\">App\\Http\\Controllers\\DoctorController::index<\/a>"],[0,1,"<a href=\"Http\/Controllers\/DoctorController.php.html#68\">App\\Http\\Controllers\\DoctorController::getAppointment<\/a>"],[0,3,"<a href=\"Http\/Controllers\/DoctorController.php.html#73\">App\\Http\\Controllers\\DoctorController::appointmentDetailShow<\/a>"],[0,1,"<a href=\"Http\/Controllers\/DoctorController.php.html#88\">App\\Http\\Controllers\\DoctorController::appointmentSubmit<\/a>"],[0,4,"<a href=\"Http\/Controllers\/DoctorController.php.html#98\">App\\Http\\Controllers\\DoctorController::getServicesAmount<\/a>"],[0,1,"<a href=\"Http\/Controllers\/DoctorController.php.html#113\">App\\Http\\Controllers\\DoctorController::paymentConfirm<\/a>"],[0,2,"<a href=\"Http\/Controllers\/DoctorController.php.html#121\">App\\Http\\Controllers\\DoctorController::printInvoice<\/a>"],[0,1,"<a href=\"Http\/Controllers\/PatientController.php.html#15\">App\\Http\\Controllers\\PatientController::__construct<\/a>"],[0,1,"<a href=\"Http\/Controllers\/PatientController.php.html#24\">App\\Http\\Controllers\\PatientController::index<\/a>"],[0,1,"<a href=\"Http\/Controllers\/PatientController.php.html#30\">App\\Http\\Controllers\\PatientController::getAppointments<\/a>"],[0,3,"<a href=\"Http\/Controllers\/PatientController.php.html#36\">App\\Http\\Controllers\\PatientController::makeAppointment<\/a>"],[0,1,"<a href=\"Http\/Controllers\/PatientController.php.html#72\">App\\Http\\Controllers\\PatientController::createAppointment<\/a>"],[100,1,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#21\">App\\Repositories\\Appointment\\AppointmentEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#26\">App\\Repositories\\Appointment\\AppointmentEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#31\">App\\Repositories\\Appointment\\AppointmentEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#36\">App\\Repositories\\Appointment\\AppointmentEloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/Appointment\/AppointmentEloquentRepository.php.html#41\">App\\Repositories\\Appointment\\AppointmentEloquentRepository::numberRecordOfAppointmentByDoctorID<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#21\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#26\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#33\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#38\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#43\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::findAppointServiceByServiceIdAndAppointmentId<\/a>"],[100,1,"<a href=\"Repositories\/AppointmentService\/AppointmentServiceEloquentRepository.php.html#48\">App\\Repositories\\AppointmentService\\AppointmentServiceEloquentRepository::removeAppointmentServiceByAppointmentId<\/a>"],[100,1,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#21\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#26\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#33\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#39\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/Diagnostic\/DiagnosticEloquentRepository.php.html#44\">App\\Repositories\\Diagnostic\\DiagnosticEloquentRepository::findDiagnosticByAppointmentId<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AppointmentRepository.php.html#13\">App\\Repositories\\Eloquent\\AppointmentRepository::model<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AppointmentRepository.php.html#18\">App\\Repositories\\Eloquent\\AppointmentRepository::createAppointment<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AppointmentRepository.php.html#29\">App\\Repositories\\Eloquent\\AppointmentRepository::getAppointmentsBooked<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#12\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::model<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#17\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByDoctorID<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#22\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByDate<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#27\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getAppointmentByShift<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#32\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableDoctors<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#37\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableDates<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#42\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::getListAvailableShifts<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#47\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::makeUnavailableAppointment<\/a>"],[0,12,"<a href=\"Repositories\/Eloquent\/AvailableAppointmentRepository.php.html#55\">App\\Repositories\\Eloquent\\AvailableAppointmentRepository::updateAvailableAppointment<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/BaseRepository.php.html#15\">App\\Repositories\\Eloquent\\BaseRepository::__construct<\/a>"],[100,1,"<a href=\"Repositories\/Eloquent\/BaseRepository.php.html#21\">App\\Repositories\\Eloquent\\BaseRepository::model<\/a>"],[0,2,"<a href=\"Repositories\/Eloquent\/BaseRepository.php.html#23\">App\\Repositories\\Eloquent\\BaseRepository::makeModel<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/BaseRepository.php.html#30\">App\\Repositories\\Eloquent\\BaseRepository::delete<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/DoctorRepository.php.html#9\">App\\Repositories\\Eloquent\\DoctorRepository::model<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/DoctorRepository.php.html#14\">App\\Repositories\\Eloquent\\DoctorRepository::getListDoctorsAvailable<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/DoctorRepository.php.html#19\">App\\Repositories\\Eloquent\\DoctorRepository::getDoctor<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/DoctorRepository.php.html#24\">App\\Repositories\\Eloquent\\DoctorRepository::getListDoctorsID<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/PatientRepository.php.html#9\">App\\Repositories\\Eloquent\\PatientRepository::model<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/ShiftRepository.php.html#9\">App\\Repositories\\Eloquent\\ShiftRepository::model<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/ShiftRepository.php.html#14\">App\\Repositories\\Eloquent\\ShiftRepository::getListShifts<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/ShiftRepository.php.html#19\">App\\Repositories\\Eloquent\\ShiftRepository::getShift<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/ShiftRepository.php.html#24\">App\\Repositories\\Eloquent\\ShiftRepository::getListShiftsID<\/a>"],[0,1,"<a href=\"Repositories\/Eloquent\/StatusRepository.php.html#9\">App\\Repositories\\Eloquent\\StatusRepository::model<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#27\">App\\Repositories\\EloquentRepository::__construct<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#36\">App\\Repositories\\EloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#41\">App\\Repositories\\EloquentRepository::setModel<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#52\">App\\Repositories\\EloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#62\">App\\Repositories\\EloquentRepository::find<\/a>"],[100,1,"<a href=\"Repositories\/EloquentRepository.php.html#73\">App\\Repositories\\EloquentRepository::create<\/a>"],[100,3,"<a href=\"Repositories\/EloquentRepository.php.html#84\">App\\Repositories\\EloquentRepository::update<\/a>"],[100,2,"<a href=\"Repositories\/EloquentRepository.php.html#104\">App\\Repositories\\EloquentRepository::delete<\/a>"],[100,2,"<a href=\"Repositories\/EloquentRepository.php.html#115\">App\\Repositories\\EloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/Invoices\/InvoiceEloquentRepository.php.html#21\">App\\Repositories\\Invoices\\InvoiceEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/Invoices\/InvoiceEloquentRepository.php.html#26\">App\\Repositories\\Invoices\\InvoiceEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/Invoices\/InvoiceEloquentRepository.php.html#33\">App\\Repositories\\Invoices\\InvoiceEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/Invoices\/InvoiceEloquentRepository.php.html#39\">App\\Repositories\\Invoices\\InvoiceEloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/Services\/ServiceEloquentRepository.php.html#21\">App\\Repositories\\Services\\ServiceEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/Services\/ServiceEloquentRepository.php.html#26\">App\\Repositories\\Services\\ServiceEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/Services\/ServiceEloquentRepository.php.html#33\">App\\Repositories\\Services\\ServiceEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/Services\/ServiceEloquentRepository.php.html#39\">App\\Repositories\\Services\\ServiceEloquentRepository::insert<\/a>"],[100,1,"<a href=\"Repositories\/User\/UserEloquentRepository.php.html#21\">App\\Repositories\\User\\UserEloquentRepository::getModel<\/a>"],[100,1,"<a href=\"Repositories\/User\/UserEloquentRepository.php.html#26\">App\\Repositories\\User\\UserEloquentRepository::getAll<\/a>"],[100,1,"<a href=\"Repositories\/User\/UserEloquentRepository.php.html#33\">App\\Repositories\\User\\UserEloquentRepository::create<\/a>"],[100,1,"<a href=\"Repositories\/User\/UserEloquentRepository.php.html#39\">App\\Repositories\\User\\UserEloquentRepository::insert<\/a>"],[0,1,"<a href=\"Services\/AppointmentService.php.html#20\">App\\Services\\AppointmentService::__construct<\/a>"],[0,2,"<a href=\"Services\/AppointmentService.php.html#33\">App\\Services\\AppointmentService::getAppointmentsBooked<\/a>"],[0,9,"<a href=\"Services\/AppointmentService.php.html#49\">App\\Services\\AppointmentService::getAvailableAppointmentByDoctorID<\/a>"],[0,9,"<a href=\"Services\/AppointmentService.php.html#88\">App\\Services\\AppointmentService::getAvailableAppointmentByDate<\/a>"],[0,9,"<a href=\"Services\/AppointmentService.php.html#127\">App\\Services\\AppointmentService::getAvailableAppointmentByShift<\/a>"],[0,1,"<a href=\"Services\/AppointmentService.php.html#164\">App\\Services\\AppointmentService::createAppointment<\/a>"],[0,1,"<a href=\"Services\/Datatables\/DatatableProcessRepository.php.html#17\">App\\Services\\Datatables\\DatatableProcessRepository::__construct<\/a>"],[0,8,"<a href=\"Services\/Datatables\/DatatableProcessRepository.php.html#22\">App\\Services\\Datatables\\DatatableProcessRepository::fillAppointmentTable<\/a>"],[0,7,"<a href=\"Services\/Datatables\/DatatableRequestRepository.php.html#15\">App\\Services\\Datatables\\DatatableRequestRepository::getDefaultRequest<\/a>"],[100,1,"<a href=\"Services\/Doctor\/AppointmentService.php.html#26\">App\\Services\\Doctor\\AppointmentService::__construct<\/a>"],[100,5,"<a href=\"Services\/Doctor\/AppointmentService.php.html#39\">App\\Services\\Doctor\\AppointmentService::addDiagnosticService<\/a>"],[100,4,"<a href=\"Services\/Doctor\/AppointmentService.php.html#81\">App\\Services\\Doctor\\AppointmentService::paymentConfirm<\/a>"],[0,1,"<a href=\"Services\/Doctor\/DatatableService.php.html#25\">App\\Services\\Doctor\\DatatableService::__construct<\/a>"],[0,2,"<a href=\"Services\/Doctor\/DatatableService.php.html#34\">App\\Services\\Doctor\\DatatableService::getAppointmentListAjax<\/a>"],[0,1,"<a href=\"Services\/Doctor\/DatatableService.php.html#56\">App\\Services\\Doctor\\DatatableService::getNumberRecordOfAppointmentBySearch<\/a>"],[0,6,"<a href=\"Services\/Doctor\/DatatableService.php.html#72\">App\\Services\\Doctor\\DatatableService::getAppointment<\/a>"],[0,1,"<a href=\"Services\/DoctorService.php.html#11\">App\\Services\\DoctorService::__construct<\/a>"],[0,1,"<a href=\"Services\/PatientService.php.html#18\">App\\Services\\PatientService::__construct<\/a>"],[0,2,"<a href=\"Services\/PatientService.php.html#31\">App\\Services\\PatientService::getAppointments<\/a>"],[0,3,"<a href=\"Services\/ReadFiles\/Validators\/validateMessage.php.html#16\">App\\Services\\ReadFiles\\Validators\\validateMessage::readValidateMessageFile<\/a>"],[0,1,"<a href=\"Services\/ShiftService.php.html#11\">App\\Services\\ShiftService::__construct<\/a>"],[0,1,"<a href=\"Services\/StatusService.php.html#11\">App\\Services\\StatusService::__construct<\/a>"],[100,1,"<a href=\"Services\/User\/UserRegisterService.php.html#21\">App\\Services\\User\\UserRegisterService::__construct<\/a>"],[75,2,"<a href=\"Services\/User\/UserRegisterService.php.html#28\">App\\Services\\User\\UserRegisterService::register<\/a>"],[0,1,"<a href=\"Services\/Validators\/ValidatorService.php.html#17\">App\\Services\\Validators\\ValidatorService::__construct<\/a>"],[0,1,"<a href=\"Services\/Validators\/ValidatorService.php.html#22\">App\\Services\\Validators\\ValidatorService::registerValidate<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
